Bug 91953 - Mixture of icon sizes in toolbar’s context menu
Summary: Mixture of icon sizes in toolbar’s context menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: All All
: high normal
Assignee: Philippe Jung
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.0.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-09 02:56 UTC by Adolfo Jayme
Modified: 2016-10-25 19:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (137.37 KB, image/png)
2015-06-09 02:56 UTC, Adolfo Jayme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2015-06-09 02:56:53 UTC
Created attachment 116392 [details]
Screenshot

As depicted in the screenshot, the first level of any toolbar’s context menu inconsistently uses large icons, which looks bad and takes too much space. It should show small icons in order to be consistent with the rest of menus in LibreOffice.

Reproduced in:

Version: 5.1.0.0.alpha1+
Build ID: 5d6448a5131488eac3a6af16bff06140663c3db4
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-06-08_11:40:42
Comment 1 tommy27 2015-06-10 19:15:55 UTC
from what I see from you screenshot you have "large icons" setup for the toolbar button, and you still have "large icons" if you right click on the toolbar while you have "small icons" in the visible icons submenu

this is the same results I see under Win8.1 using LibO 5.1.0.0.alpha1+
Build ID: 8d46bc15e93687f93d7c85064acc71231e2f08b1
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-02_05:16:07

so from what I see the inconsistency is to have "small icons" in the visible icons submenu...

instead if you start with a "small icons" setup, you'll have the small icons in the toolbar, in the right click menu and in the visible icons submenu

in other words to be consistent you should have "large, large and large" or "small, small and small" where actually you have "large, large and small" and "small, small and small"

do you understand my point or did I misunderstood your report?
Comment 2 Adolfo Jayme 2015-06-11 21:04:55 UTC
Icons in menus must be small in all situations; in other words, regardless of the icon size setting.
Comment 3 tommy27 2015-06-12 05:31:01 UTC
ok, now I understand you point of view.
Comment 4 Philippe Jung 2015-06-15 15:29:38 UTC
With mode set to Automatic (=large), contextual popup have small icons

We need to know if this option is:
- the size of all icons
- the size of the icons when in the toolbar (all other icons being small)
Comment 5 Yousuf Philips (jay) 2015-06-15 15:38:31 UTC
Agree with adolfo that small icons in the toolbar context menu would be best, as the page context menu has small icons as well. There is a benefit of showing the large icons, so that a user can see the same icons when it is added to the toolbar, but the name of the command is shown there as well, so its not that crucial.
Comment 6 Commit Notification 2015-06-18 13:33:40 UTC
Philippe Jung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3090550b5297c86b63ba09ed1aa13bce4c0e5b70

tdf#91953 Mixture of icon sizes

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-19 07:29:54 UTC
Philippe Jung committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aecee4ff00f81ccd4654edb9124a9b3374c8b824&h=libreoffice-5-0

tdf#91953 Mixture of icon sizes

It will be available in 5.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Adolfo Jayme 2015-06-19 11:33:03 UTC
Thank you very much, Philippe :-)